Bamboo 5.11 compatibility with third-party add-ons and other Atlassian products

Hi there,

  1. I wonder if upgrading Bamboo from our current version 5.7.2 to the latest one (5.11) would require any respective updates for other Atlassian products our company is currently using, namely JIRA (current version 6.3.13), FishEye (3.4.3) and Confluence (5.8.4): if so, would you please be specific as to what minimum upgrade(s) will be necessary for each of the aforementioned products in order for them to be compatible with the latest Bamboo version 5.11?
  2. We currently have several third party add-ons (user-installed) - please see the entire list below - we want to continue to use: will upgrading Bamboo to its latest 5.11 version still make it possible for our company to keep them? Are all (or most) of the following add-ons currently supported in Bamboo 5.11 (or at least different versions of these):

        JMeter Aggregator (the most important for us to keep) (version 5.7.1) 

        PowerShell Task  (also very important) (version 1.1.9)

        Agent Utilities - Basic (version 1.0)
        Atlassian Universal Plugin Manager Plugin (version 2.20.4)

        Bamboo Build Times Plugin (version 1.0)

        bamboo-group-agent  (version 1.7)

        Bamboo Node.js Support (version 1.7)

        Bamboo System Banner (version 1.1)

 

Thank you in advance for your time and assistance.

 

Sergei Jerdetski
DevOps Engineer
Health Language

Wolters Kluwer Health
4600 S Syracuse St, Suite 1200
Denver, CO 80237

720.446.2519 tel.


Sergei_Jerdetski@wolterskluwer.com

 

2 answers

Hi,

First of all do a backup before upgrading!!! (I usually save a database dump, bamboo and bamboo home directories).

  1. Atlassian products play very well with each other, so there will be no issues.
  2. As for the addons on Bamboo 5.11:
    • JMeter Aggregator -> pretty high chances that it will work on 5.11, officially supports 5.9.4

    • PowerShell Task -> no problem, officially supports 5.11

    • Agent Utilities - Basic -> if it works on 5.7 it may also work on 5.11, officially supports 4.4.8

    • Atlassian Universal Plugin Manager Plugin -> no problem, bundled into bamboo

    • Bamboo Build Times Plugin -> if it works on 5.7 it may also work on 5.11, officially supports 4.4.3

    • Group Agent for Bamboo -> no problem, officially supports 5.11

    • Bamboo System Banner -> if it works on 5.7 it may also work on 5.11, officially supports 4.4.3

    • Bamboo Node.js Support -> no problem, bundled into bamboo

Also pay attentions that Bamboo 5.11 requires JDK 8.

Hey Sergey,

First and foremost, thank you for your quick reply.

I have another similar question for you: will upgrading Bamboo from 5.7 to its latest 5.12 version instead of 5.11 still maintain the same scope of compatibility for ALL of the above-mentioned add-ons? Or some negative changes may occur as a result?

 

Advise please.

 

Thank you in advance for your time and consideration.

 

Sergei Jerdetski
DevOps Engineer
Health Language

Bamboo 5.12 introduced Quick Filters and Bamboo Cloud import. There are no API changes that can break addons working fine on 5.11.

0 votes

I understand this question is outdated by https://answers.atlassian.com/questions/38764522

Suggest an answer

Log in or Sign up to answer
Community showcase
Published an hour ago in Sourcetree

Tip from the team: configure your repos for hosting goodness!

Supported Platforms macOS Windows We recently introduced support for additional hosting services such as GitHub Enterprise, GitLab (Cloud, Community Edition, Enterprise Edition), and...

15 views 0 1
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you